Bulk contact import (async)
curl --request POST \
--url https://api.apyconnect.io/v1/contacts/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contacts": [
{
"name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"stage": "<string>",
"owner_id": "<string>",
"company_id": "<string>",
"country": "<string>",
"locale": "<string>",
"email": "<string>",
"phone": "<string>",
"identifiers": [
{
"type": "<string>",
"value": "<string>"
}
],
"tags": [
"<string>"
],
"custom_fields": {}
}
]
}
'import requests
url = "https://api.apyconnect.io/v1/contacts/import"
payload = { "contacts": [
{
"name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"stage": "<string>",
"owner_id": "<string>",
"company_id": "<string>",
"country": "<string>",
"locale": "<string>",
"email": "<string>",
"phone": "<string>",
"identifiers": [
{
"type": "<string>",
"value": "<string>"
}
],
"tags": ["<string>"],
"custom_fields": {}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contacts: [
{
name: '<string>',
first_name: '<string>',
last_name: '<string>',
stage: '<string>',
owner_id: '<string>',
company_id: '<string>',
country: '<string>',
locale: '<string>',
email: '<string>',
phone: '<string>',
identifiers: [{type: '<string>', value: '<string>'}],
tags: ['<string>'],
custom_fields: {}
}
]
})
};
fetch('https://api.apyconnect.io/v1/contacts/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"object": "job",
"id": "<string>",
"type": "contacts.bulk",
"status": "queued",
"progress": 123,
"total": 123,
"result": {},
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "<string>",
"completed_at": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"trace_id": "<string>",
"details": "<unknown>"
}
}Jobs
Bulk contact import (async)
Enqueues an async import of up to 50,000 contacts. Each row follows the ContactCreate shape. Returns 202; poll GET /v1/jobs/.
POST
/
v1
/
contacts
/
import
Bulk contact import (async)
